# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit linux-info systemd

DESCRIPTION="B-Tree Vault, an automatic snapshot and backup tool for btrfs."
HOMEPAGE="https://git.decade.cz/decade-public/${PN}"
SRC_URI="https://git.decade.cz/decade-public/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="*"
IUSE=""

RDEPEND="
	>=dev-lang/python-3.8
	sys-apps/systemd
	net-misc/openssh
"

S="${WORKDIR}/${PN}"

src_install() {
	# upstream uses /usr/lib/${PN}, gentoo prefers /usr/libexec
	sed -i 's/\/usr\/lib/\/usr\/libexec/' systemd/safe-harbor@.service
	systemd_dounit systemd/safe-harbor@.service
	
	insinto /etc/safe-harbor
	doins config.json.example
	
	exeinto /usr/libexec
	doexe lib/safe-harbor.py
}
